CREATE TABLE IF NOT EXISTS `bugs_updates` (
  `id` bigint(20) NOT NULL auto_increment,
  `created` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `modified` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `responsible` varchar(255) default NULL,
  `description` TEXT NULL DEFAULT NULL,
  `type` varchar(64) default NULL,
  `details` LONGTEXT NULL DEFAULT NULL,
  `comments` LONGTEXT NULL DEFAULT NULL,
  `estimate` double default NULL,
  `priority` varchar(64) default NULL,
  `status` varchar(64) default NULL,
  `bill` tinyint(4) default NULL,
  `document` varchar(255) default NULL,
  `reported_by` VARCHAR(255) NULL DEFAULT NULL,
  `revised_by`  TEXT NULL DEFAULT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=90 ;

INSERT INTO `bugs_updates` (`id`, `responsible`, `description`, `type`, `details`, `comments`, `estimate`, `priority`, `status`, `bill`, `document`, `reported_by`) VALUES
(1, 'Me', 'Sample Description', 'Change of Specification', 'Sample Details', 'Sample Comments', 4, 'Medium', 'DONE', 0, NULL, 'Me');


CREATE TABLE IF NOT EXISTS `bug_feature_type` (
  `type` varchar(64) NOT NULL default '',
  `sort` int(11) NOT NULL default '0',
  PRIMARY KEY  (`type`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

INSERT INTO `bug_feature_type` (`type`, `sort`) VALUES
('Bug Fix', 10),
('New Feature', 20),
('Still Not Right', 30),
('Change of Specification', 25);


CREATE TABLE IF NOT EXISTS `priority_list` (
  `priority_level` varchar(64) NOT NULL default '',
  `sort` int(11) NOT NULL default '0',
  PRIMARY KEY  (`priority_level`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

INSERT INTO `priority_list` (`priority_level`, `sort`) VALUES
('Low', 10),
('Medium', 20),
('High', 30),
('Urgent', 40);


CREATE TABLE IF NOT EXISTS `responsible` (
  `name` varchar(64) NOT NULL default '',
  `sort` int(11) NOT NULL default '0',
  PRIMARY KEY  (`name`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

INSERT INTO `responsible` (`name`, `sort`) VALUES
('You', 10),
('Me', 20),
('Them', 20);


CREATE TABLE IF NOT EXISTS `status_items` (
  `status_item` varchar(64) NOT NULL default '',
  `sort` int(11) default NULL,
  `description` varchar(64) default NULL,
  PRIMARY KEY  (`status_item`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

INSERT INTO `status_items` (`status_item`, `sort`, `description`) VALUES
('DONE', 50, 'Done'),
('GO', 30, 'Work Approved'),
('OK', 60, 'No Action Required'),
('TN', 10, 'Talk Needed'),
('UT', 40, 'Under Test'),
('NE', 20, 'Needs Estimate'),
('HOLD', 70, 'On Hold');


CREATE TABLE IF NOT EXISTS `users` (
  `UserID` varchar(50) NOT NULL default '',
  `Password` varchar(255) default NULL,
  `AccessLevel` varchar(20) default NULL,
  PRIMARY KEY  (`UserID`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

INSERT INTO `users` (`UserID`, `Password`, `AccessLevel`) VALUES
('admin', '000000000077757B', 'admin'),
('user', '00000000747474', 'user');
