<?php
////////////////////////////////////////////////////////////////////////
// Silver Dolphin Bug/Feature Tracker
// Copyright Silver Dolphins Solutions, LLC, Edward Lemmers, P.E.
// For licensing, see license.txt.
//
require_once('./connect/db_connection.php');

session_start();
$access_level = $_SESSION['access_level'];
$userid = $_SESSION['userid'];
if (($_SESSION['logged_in']) != 10)
{
	header("Location: index.php");
}
	
$currentPage = $_SERVER["PHP_SELF"];
$maxRows = 20;
$pageNum = 0;
if (isset($_REQUEST['pageNum']) && ($_REQUEST['pageNum'] > -1)) {
  $pageNum = $_REQUEST['pageNum'];
}
$startRow = $pageNum * $maxRows;

///////// Filtering ////////////////
if (!($_REQUEST['filter']) && !($_SESSION['filter']))	// filter not set yet.  Set to default.
{
	$filter = "all";
	$_SESSION['filter'] = $filter;
}
elseif (!($_REQUEST['filter']) && ($_SESSION['filter']))	// No change to filter.  Get from session.
	$filter = $_SESSION['filter'];
else														// filter changed.  Get from $_REQUEST and set $_SESSION.
{
	$filter = $_REQUEST['filter'];
	$_SESSION['filter'] = $filter ;
}
	
///////// Sorting ////////////////
if (!($_REQUEST['sort_field']) && !($_SESSION['sort_field']))	// sort_field not set yet.  Set to default.
{
	$sort_field = "id";
	$_SESSION['sort_field'] = $sort_field;
}
elseif (!($_REQUEST['sort_field']) && ($_SESSION['sort_field']))	// No change to sort_field.  Get from session.
	$sort_field = $_SESSION['sort_field'];
else																// sort_field changed.  Get from $_REQUEST and set $_SESSION.
{
	$sort_field = $_REQUEST['sort_field'];
	$_SESSION['sort_field'] = $sort_field ;
}

///////// Search ////////////////
if (!($_REQUEST['search']) && !($_SESSION['search']))	// search not set yet.  Set to default.
{
	$search = "";
	$_SESSION['search'] = $search;
	$where = "";
}
elseif (!($_REQUEST['search']) && ($_SESSION['search']))	// No change to search.  Get from session.
{	
	$search = $_SESSION['search'];
	if ($search == "")
		$where = "";
	else
	{
		$where = " WHERE (description LIKE '%$search%') OR (details LIKE '%$search%') OR (comments LIKE '%$search%')";
		$filter = "all";
	}
}
else																// search changed.  Get from $_REQUEST and set $_SESSION.
{
	if (($_REQUEST['clear']) == "Clear")
	{
		$search = "";
		$_SESSION['search'] = $search;
		$where = "";
	}
	else
	{
		$search = $_REQUEST['search'];
		$_SESSION['search'] = $search ;
		if ($search == "")
			$where = "";
		else
		{
			$where = " WHERE (description LIKE '%$search%') OR (details LIKE '%$search%') OR (comments LIKE '%$search%')";
			$filter = "all";
		}
	}
}

	

function GetSQLValueString($theValue, $theType, $theDefinedValue = "", $theNotDefinedValue = "") 
{
  $theValue = (!get_magic_quotes_gpc()) ? addslashes($theValue) : $theValue;

  switch ($theType) {
    case "text":
      $theValue = ($theValue != "") ? "'" . $theValue . "'" : "NULL";
      break;    
    case "long":
    case "int":
      $theValue = ($theValue != "") ? intval($theValue) : "NULL";
      break;
    case "double":
      $theValue = ($theValue != "") ? "'" . doubleval($theValue) . "'" : "NULL";
      break;
    case "date":
      $theValue = ($theValue != "") ? "'" . $theValue . "'" : "NULL";
      break;
    case "defined":
      $theValue = ($theValue != "") ? $theDefinedValue : $theNotDefinedValue;
      break;
	case "checkbox":
      $theValue = (isset($theValue) && ($theValue != "")) ? 1 : 0;
      break;
  }
  return $theValue;
}

$editFormAction = $_SERVER['PHP_SELF'];
if (isset($_SERVER['QUERY_STRING'])) {
  $editFormAction .= "?" . $_SERVER['QUERY_STRING'];
}

////////////////////////////////////////////////////////////////////////////////
$filename = "";
if (((isset($_POST["MM_insert"])) && ($_POST["MM_insert"] == "formInsert")) || ((isset($_POST["MM_update"])) && ($_POST["MM_update"] == "formUpdate")))
{
	ini_set('max_execution_time', 10000);
	set_time_limit(10000);
		
	if (is_uploaded_file($_FILES['doc']['tmp_name']))
	{
		$srcfile = $_FILES['doc']['tmp_name'];
		$curr_folder = getenv('SCRIPT_FILENAME');
		$pos = strrpos("$curr_folder", "/");
		$curr_folder = substr($curr_folder, 0, $pos);
		$destdir = $curr_folder . "/docs";

		$filename = str_replace("/", "", $_FILES['doc']['name']);
		$file_ext = substr($filename, strpos($filename, "."));
		$filename = substr($filename, 0, strpos($filename, "."));
		$filename = $filename . "_" . time();
		$filename = str_replace(" ", "_", $filename);
		$filename .= $file_ext;
		move_uploaded_file($srcfile, $destdir . "/" . $filename);
	}
	
}
////////////////////////////////////////////////////////////////////////////////

if ((isset($_POST["MM_insert"])) && ($_POST["MM_insert"] == "formInsert")) {
  $insertSQL = sprintf("INSERT INTO bugs_updates (id, responsible, description, type, details, comments, estimate, priority, status, bill, document, reported_by) VALUES (%s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s)",
                       GetSQLValueString($_POST['id'], "int"),
                       GetSQLValueString($_POST['responsible'], "text"),
                       GetSQLValueString($_POST['description'], "text"),
                       GetSQLValueString($_POST['type'], "text"),
                       GetSQLValueString($_POST['details'], "text"),
                       GetSQLValueString($_POST['comments'], "text"),
                       GetSQLValueString($_POST['estimate'], "double"),
                       GetSQLValueString($_POST['priority'], "text"),
                       GetSQLValueString($_POST['status'], "text"),
                       GetSQLValueString($_POST['bill'], "checkbox"),
					   GetSQLValueString($filename, "text"),
  					   GetSQLValueString(ucfirst($userid), "text"));

  $Result1 = $bt_dbh->exec($insertSQL);
}

if ((isset($_POST["MM_update"])) && ($_POST["MM_update"] == "formUpdate"))
{
  if ($filename == "")
  	$filename = $_POST['document'];
	
	$today = date("Y-m-d H:i:s");
	
	if (!isset($_POST['revised_by']) || ($_POST['revised_by'] == ""))
		$comma = "";
	else
		$comma = ", ";
	
  $updateSQL = sprintf("UPDATE bugs_updates SET responsible=%s, description=%s, type=%s, details=%s, comments=%s, estimate=%s, priority=%s, status=%s, bill=%s, document=%s, revised_by=%s WHERE id=%s",
					   GetSQLValueString($_POST['responsible'], "text"),
                       GetSQLValueString($_POST['description'], "text"),
                       GetSQLValueString($_POST['type'], "text"),
                       GetSQLValueString($_POST['details'], "text"),
                       GetSQLValueString($_POST['comments'], "text"),
                       GetSQLValueString($_POST['estimate'], "double"),
                       GetSQLValueString($_POST['priority'], "text"),
                       GetSQLValueString($_POST['status'], "text"),
                       GetSQLValueString($_POST['bill'], "checkbox"),
					   GetSQLValueString($filename, "text"),
					   GetSQLValueString($_POST['revised_by'] . $comma . ucfirst($userid) . " - " . $today, "text"),
                       GetSQLValueString($_POST['id'], "int"));

  $Result1 = $bt_dbh->exec($updateSQL);
}

//mysql_select_db($database_BugFeatureTracking, $BugFeatureTracking);
	
if ($filter == "all")
	$query_rstBugFeature = "SELECT * FROM bugs_updates$where ORDER BY `$sort_field`";
elseif ($filter == "open")
	$query_rstBugFeature = "SELECT * FROM bugs_updates WHERE ((`status` <> 'DONE') AND (`status` <> 'OK')) ORDER BY `$sort_field`";
elseif ($filter == "estimate")
	$query_rstBugFeature = "SELECT * FROM bugs_updates WHERE (`status` = 'NE') ORDER BY `$sort_field`";
elseif ($filter == "go")
	$query_rstBugFeature = "SELECT * FROM bugs_updates WHERE (`status` = 'GO') ORDER BY `$sort_field`";
elseif ($filter == "closed")
	$query_rstBugFeature = "SELECT * FROM bugs_updates WHERE (`status` = 'DONE') OR (`status` = 'OK') ORDER BY `$sort_field`";
	
$query_limit_rstBugFeature = sprintf("%s LIMIT %d, %d", $query_rstBugFeature, $startRow, $maxRows);
$rstBugFeature = $bt_dbh->query($query_limit_rstBugFeature);
$row_rstBugFeature = $rstBugFeature->fetch(PDO::FETCH_ASSOC);

if (isset($_GET['totalRows_rstBugFeature'])) {
  $totalRows_rstBugFeature = $_GET['totalRows_rstBugFeature'];
} else {
  $all_rstBugFeature = $bt_dbh->query($query_rstBugFeature);
  $totalRows_rstBugFeature = $all_rstBugFeature->rowCount();
}
$totalPages_rstBugFeature = ceil($totalRows_rstBugFeature/$maxRows)-1;

$queryString_rstBugFeature = "";
if (!empty($_SERVER['QUERY_STRING'])) {
  $params = explode("&", $_SERVER['QUERY_STRING']);
  $newParams = array();
  foreach ($params as $param) {
    if (stristr($param, "pageNum") == false && 
        stristr($param, "totalRows_rstBugFeature") == false) {
      array_push($newParams, $param);
    }
  }
  if (count($newParams) != 0) {
    $queryString_rstBugFeature = "&" . implode("&", $newParams);
  }
}
$queryString_rstBugFeature = sprintf("&totalRows_rstBugFeature=%d%s", $totalRows_rstBugFeature, $queryString_rstBugFeature);
?>
<html>
<head>
<title>Silver Dolphin Bug/Feature Tracking System</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link href="tracker.css" rel="stylesheet" type="text/css">
<link rel="shortcut icon" href="images/favicon.ico" type="image/x-icon">
</head>

<body>
<h3 align="center">Silver Dolphin Bug/Feature Tracker</h3>
<table border="0" width="50%" align="center">
  <tr>
    <td width="23%" align="center">
      <?php if ($pageNum > 0) { // Show if not first page ?>
      <a href="<?php printf("%s?pageNum=%d%s", $currentPage, 0, $queryString_rstBugFeature); ?>"><img src="./images/First.gif" border=0></a>
      <?php } // Show if not first page ?>
    </td>
    <td width="31%" align="center">
      <?php if ($pageNum > 0) { // Show if not first page ?>
      <a href="<?php printf("%s?pageNum=%d%s", $currentPage, max(0, $pageNum - 1), $queryString_rstBugFeature); ?>"><img src="./images/Previous.gif" border=0></a>
      <?php } // Show if not first page ?>
    </td>
    <td width="23%" align="center">
      <?php if ($pageNum < $totalPages_rstBugFeature) { // Show if not last page ?>
      <a href="<?php printf("%s?pageNum=%d%s", $currentPage, min($totalPages_rstBugFeature, $pageNum + 1), $queryString_rstBugFeature); ?>"><img src="./images/Next.gif" border=0></a>
      <?php } // Show if not last page ?>
    </td>
    <td width="23%" align="center">
      <?php if ($pageNum < $totalPages_rstBugFeature) { // Show if not last page ?>
      <a href="<?php printf("%s?pageNum=%d%s", $currentPage, $totalPages_rstBugFeature, $queryString_rstBugFeature); ?>"><img src="./images/Last.gif" border=0></a>
      <?php } // Show if not last page ?>
    </td>
  </tr>
</table>

<table border="1">
  <tr bgcolor="#BBBBBB">
  	<td class="row_header"><b>Edit</b></td>
    <td class="row_header"><a href="<?php printf("%s?pageNum=%d%s", $currentPage, 0, $queryString_rstBugFeature); ?>&sort_field=id"><b>ID</b></a></td>
    <td class="row_header"><a href="<?php printf("%s?pageNum=%d%s", $currentPage, 0, $queryString_rstBugFeature); ?>&sort_field=created"><b>Created</b></a></td>
	<td class="row_header"><a href="<?php printf("%s?pageNum=%d%s", $currentPage, 0, $queryString_rstBugFeature); ?>&sort_field=modified"><b>Modified</b></a></td>
    <td class="row_header"><a href="<?php printf("%s?pageNum=%d%s", $currentPage, 0, $queryString_rstBugFeature); ?>&sort_field=responsible"><b>Responsible</b></a></td>
    <td class="row_header"><a href="<?php printf("%s?pageNum=%d%s", $currentPage, 0, $queryString_rstBugFeature); ?>&sort_field=description"><b>Description</b></a></td>
    <td class="row_header"><a href="<?php printf("%s?pageNum=%d%s", $currentPage, 0, $queryString_rstBugFeature); ?>&sort_field=type"><b>Type</b></a></td>
    <td class="row_header"><a href="<?php printf("%s?pageNum=%d%s", $currentPage, 0, $queryString_rstBugFeature); ?>&sort_field=details"><b>Details</b></a></td>
    <td class="row_header"><a href="<?php printf("%s?pageNum=%d%s", $currentPage, 0, $queryString_rstBugFeature); ?>&sort_field=comments"><b>Comments</b></a></td>
    <td class="row_header"><a href="<?php printf("%s?pageNum=%d%s", $currentPage, 0, $queryString_rstBugFeature); ?>&sort_field=estimate"><b>Estimate</b></a></td>
    <td class="row_header"><a href="<?php printf("%s?pageNum=%d%s", $currentPage, 0, $queryString_rstBugFeature); ?>&sort_field=priority"><b>Priority</b></a></td>
    <td class="row_header"><a href="<?php printf("%s?pageNum=%d%s", $currentPage, 0, $queryString_rstBugFeature); ?>&sort_field=status"><b>Status</b></a></td>
    <td class="row_header"><a href="<?php printf("%s?pageNum=%d%s", $currentPage, 0, $queryString_rstBugFeature); ?>&sort_field=bill"><b>Bill</b></a></td>
    <td class="row_header"><a href="<?php printf("%s?pageNum=%d%s", $currentPage, 0, $queryString_rstBugFeature); ?>&sort_field=document"><b>Doc</b></a></td>
	<td class="row_header"><b>Delete</b></td>
  </tr>
  <?php
  if ($totalRows_rstBugFeature > 0)
  {
   do { 
   	if ($bgColor == "#DDDDDD")
		$bgColor = "#CCCCCC";
	else
		$bgColor = "#DDDDDD";
  ?>
  <tr bgcolor="<?php echo $bgColor; ?>">
  	<td><a href="tracker.php?edit_id=<?php echo $row_rstBugFeature['id']; ?>&pageNum=<?php echo $pageNum; ?>#bottom"><img src="./images/b_edit.png" border="0"></a></td>
    <td><?php echo $row_rstBugFeature['id']; ?></td>
    <td><?php echo $row_rstBugFeature['created']; ?></td>
	<td>
	<?php
		$modified_raw = $row_rstBugFeature['modified'];
		$modified_date_time = explode (" ", $modified_raw);
		$modified_date = $modified_date_time[0];
		$modified_date_parts = explode ("-", $modified_date);
		$modified_time = $modified_date_time[1];
		$strDateTime = $modified_date_parts[1] . "/" . $modified_date_parts[2] . "/" . $modified_date_parts[0] . " " . $modified_time;
		echo $strDateTime; 
	?>
	</td>
    <td><?php if ($row_rstBugFeature['responsible'] != "") echo $row_rstBugFeature['responsible']; else echo "&nbsp;"; ?></td>
    <td><?php if ($row_rstBugFeature['description'] != "") echo $row_rstBugFeature['description']; else echo "&nbsp;"; ?></td>
    <td><?php if ($row_rstBugFeature['type'] != "") echo $row_rstBugFeature['type']; else echo "&nbsp;"; ?></td>
    <td><?php if ($row_rstBugFeature['details'] != "") echo $row_rstBugFeature['details']; else echo "&nbsp;"; ?></td>
    <td><?php if ($row_rstBugFeature['comments'] != "") echo $row_rstBugFeature['comments']; else echo "&nbsp;"; ?></td>
    <td><?php if ($row_rstBugFeature['estimate'] != "") echo $row_rstBugFeature['estimate']; else echo "&nbsp;"; ?></td>
    <td><?php if ($row_rstBugFeature['priority'] != "") echo $row_rstBugFeature['priority']; else echo "&nbsp;"; ?></td>
    <td><?php if ($row_rstBugFeature['status'] != "") echo $row_rstBugFeature['status']; else echo "&nbsp;"; ?></td>
    <td><?php if ($row_rstBugFeature['bill'] != "") echo $row_rstBugFeature['bill']; else echo "&nbsp;"; ?></td>
    <td><?php if ($row_rstBugFeature['document'] != "") echo "<a href='docs/" . $row_rstBugFeature['document'] . "' target='_blank'>" . $row_rstBugFeature['document'] . "</a>"; else echo "&nbsp;"; ?></td>
	<td><a href="delete_bug_confirm.php?delete_id=<?php echo $row_rstBugFeature['id']; ?>&pageNum=<?php echo $pageNum; ?>"><img src="./images/b_drop.png" border="0"></a></td>
  </tr>
  <?php } while ($row_rstBugFeature = $rstBugFeature->fetch(PDO::FETCH_ASSOC)); 
  } // At least 1 row.?>
</table>

<table border="0" width="50%" align="center">
  <tr>
    <td width="23%" align="center">
      <?php if ($pageNum > 0) { // Show if not first page ?>
      <a href="<?php printf("%s?pageNum=%d%s", $currentPage, 0, $queryString_rstBugFeature); ?>"><img src="./images/First.gif" border=0></a>
      <?php } // Show if not first page ?>
    </td>
    <td width="31%" align="center">
      <?php if ($pageNum > 0) { // Show if not first page ?>
      <a href="<?php printf("%s?pageNum=%d%s", $currentPage, max(0, $pageNum - 1), $queryString_rstBugFeature); ?>"><img src="./images/Previous.gif" border=0></a>
      <?php } // Show if not first page ?>
    </td>
    <td width="23%" align="center">
      <?php if ($pageNum < $totalPages_rstBugFeature) { // Show if not last page ?>
      <a href="<?php printf("%s?pageNum=%d%s", $currentPage, min($totalPages_rstBugFeature, $pageNum + 1), $queryString_rstBugFeature); ?>"><img src="./images/Next.gif" border=0></a>
      <?php } // Show if not last page ?>
    </td>
    <td width="23%" align="center">
      <?php if ($pageNum < $totalPages_rstBugFeature) { // Show if not last page ?>
      <a href="<?php printf("%s?pageNum=%d%s", $currentPage, $totalPages_rstBugFeature, $queryString_rstBugFeature); ?>"><img src="./images/Last.gif" border=0></a>
      <?php } // Show if not last page ?>
    </td>
  </tr>
</table>

<p>Records <?php echo ($startRow + 1) ?> to <?php echo min($startRow + $maxRows, $totalRows_rstBugFeature) ?> of <?php echo $totalRows_rstBugFeature ?></p>

<table>
<tr>
<td valign="top">
<p align="center"><b>Insert</b></p>
<form method="post" name="formInsert" action="<?php echo $editFormAction; ?>#bottom" enctype="multipart/form-data">
  <table align="center">
    <tr valign="baseline">
      <td nowrap align="right">Responsible:</td>
      <td><select name="responsible">
        <option>-Not Selected-</option>
        <?php
	  	$query = "SELECT * FROM `responsible` ORDER BY `sort`";
		$rstResponsible = $bt_dbh->query($query);
		while ($row_rstResponsible = $rstResponsible->fetch(PDO::FETCH_ASSOC))
		{
			$tmpResponsible = $row_rstResponsible['name'];
			echo "<option value=\"$tmpResponsible\">$tmpResponsible</option>";
		}
	  ?>
      </select></td>
    </tr>
    <tr valign="baseline">
      <td nowrap align="right">Description:</td>
      <td>
      <textarea name="description" style="width:215px;" rows="2"></textarea>
      </td>
    </tr>
    <tr valign="baseline">
      <td nowrap align="right">Type:</td>
      <td><select name="type">
        <option>-Not Selected-</option>
        <?php
	  	$query = "SELECT * FROM `bug_feature_type` ORDER BY `sort`";
		$rstType = $bt_dbh->query($query);
		while ($row_rstType = $rstType->fetch(PDO::FETCH_ASSOC))
		{
			$tmpType = $row_rstType['type'];
			echo "<option value=\"$tmpType\">$tmpType</option>";
		}
	  ?>
      </select></td>
    </tr>
    <tr valign="baseline">
      <td nowrap align="right">Details:</td>
      <td>
      <textarea name="details" style="width:215px;" rows="2"></textarea>
      </td>
    </tr>
    <tr valign="baseline">
      <td nowrap align="right">Comments:</td>
      <td>
      <textarea name="comments" style="width:215px;" rows="2"></textarea>
      </td>
    </tr>
    <tr valign="baseline">
      <td nowrap align="right">Estimate:</td>
      <td><input type="text" name="estimate" value="" size="32"></td>
    </tr>
    <tr valign="baseline">
      <td nowrap align="right">Priority:</td>
      <td><select name="priority">
        <option>-Not Selected-</option>
        <?php
	  	$query = "SELECT * FROM `priority_list` ORDER BY `sort`";
		$rstPriorityList = $bt_dbh->query($query);
		while ($row_rstPriorityList = $rstPriorityList->fetch(PDO::FETCH_ASSOC))
		{
			$tmpPriority = $row_rstPriorityList['priority_level'];
			echo "<option value=\"$tmpPriority\">$tmpPriority</option>";
		}
	  ?>
      </select></td>
    </tr>
    <tr valign="baseline">
      <td nowrap align="right">Status:</td>
      <td><select name="status">
        <option>-Not Selected-</option>
        <?php
	  	$query = "SELECT * FROM `status_items` ORDER BY `sort`";
		$rstStatusList = $bt_dbh->query($query);
		while ($row_rstStatusList = $rstStatusList->fetch(PDO::FETCH_ASSOC))
		{
			$tmpOptionValue = $row_rstStatusList['status_item'];
			$tmpOptionDescription = $row_rstStatusList['description'];
			echo "<option value=\"$tmpOptionValue\">$tmpOptionDescription</option>";
		}
	  ?>
      </select></td>
    </tr>
    <tr valign="baseline">
      <td nowrap align="right">Bill:</td>
      <td><input name="bill" type="checkbox" value="checkbox"></td>
    </tr>
    <tr valign="baseline">
      <td nowrap align="right">Document:</td>
      <td><input type="file" name="doc" id="doc"></td>
    </tr>
    <tr valign="baseline">
      <td nowrap align="right">&nbsp;</td>
      <td><input type="submit" value="Insert Record"></td>
    </tr>
  </table>
  <input type="hidden" name="MM_insert" value="formInsert">
  <input type="hidden" name="pageNum" value="<?php echo $totalPages_rstBugFeature; ?>">
</form>

</td><td width="5%">&nbsp;</td>
<td valign="top">
<p align="center"><b>Edit</b></p>
<?php
	if ($_GET['edit_id'] != "")
	{
		$edit_id = $_GET['edit_id'];
		$query = "SELECT * FROM bugs_updates WHERE id = " . $edit_id;
		$rstBugFeatureEdit = $bt_dbh->query($query);
		$row_rstBugFeatureEdit = $rstBugFeatureEdit->fetch(PDO::FETCH_ASSOC);
?>
<form action="<?php echo $editFormAction; ?>" method="post" enctype="multipart/form-data" name="formUpdate">
  <table align="center">
    <tr valign="baseline">
      <td nowrap align="right">Id:</td>
      <td><?php echo $row_rstBugFeatureEdit['id']; ?></td>
    </tr>
    <tr valign="baseline">
      <td nowrap align="right">Created:</td>
      <td><?php echo ucfirst($row_rstBugFeatureEdit['reported_by']) . " - " . $row_rstBugFeatureEdit['created']; ?>
      </td>
    </tr>
    <tr valign="baseline">
	  <td nowrap align="right">Last Modified:</td>
      <td><?php echo $row_rstBugFeatureEdit['modified']; ?></td>
    </tr>
    <tr valign="baseline">
	  <td nowrap align="right">Revised By:</td>
      <td>
	  	<?php 
			$revised_by_str = str_replace(", ", "<br />", $row_rstBugFeatureEdit['revised_by']);
			echo $revised_by_str; 
		?>
        <input type="hidden" name="revised_by" value="<?php echo $row_rstBugFeatureEdit['revised_by']; ?>">
      </td>
    </tr>
    <tr valign="baseline">
      <td nowrap align="right">Responsible:</td>
      <td>
	  <select name="responsible">
	  <?php
	  	$query = "SELECT * FROM `responsible` ORDER BY `sort`";
		$rstResponsible = $bt_dbh->query($query);
		while ($row_rstResponsible = $rstResponsible->fetch(PDO::FETCH_ASSOC))
		{
			$tmpResponsible = $row_rstResponsible['name'];
			if ($tmpResponsible == $row_rstBugFeatureEdit['responsible'])
				echo "<option value=\"$tmpResponsible\" selected=\"selected\">$tmpResponsible</option>";
			else
				echo "<option value=\"$tmpResponsible\">$tmpResponsible</option>";
		}
	  ?>
	  </select>
      </td>
    </tr>
    <tr valign="baseline">
      <td nowrap align="right">Description:</td>
	  <?php 
	  	$description = $row_rstBugFeatureEdit['description'];
	  	$description = str_replace("\"", "&quot;", $description);
		$description = str_replace("'", "&#39;", $description); 
	  ?>
      <td>
      <textarea name="description" style="width:215px;" rows="2"><?php echo $description; ?></textarea>
      </td>
    </tr>
    <tr valign="baseline">
      <td nowrap align="right">Type:</td>
      <td>
	  <select name="type">
	  <?php
	  	$query = "SELECT * FROM `bug_feature_type` ORDER BY `sort`";
		$rstType = $bt_dbh->query($query);
		while ($row_rstType = $rstType->fetch(PDO::FETCH_ASSOC))
		{
			$tmpType = $row_rstType['type'];
			if ($tmpType == $row_rstBugFeatureEdit['type'])
				echo "<option value=\"$tmpType\" selected=\"selected\">$tmpType</option>";
			else
				echo "<option value=\"$tmpType\">$tmpType</option>";
		}
	  ?>
	  </select>
      </td>
    </tr>
    <tr valign="baseline">
      <td nowrap align="right">Details:</td>
	  <?php 
	  	$details = $row_rstBugFeatureEdit['details'];
	  	$details = str_replace("\"", "&quot;", $details);
		$details = str_replace("'", "&#39;", $details); 
	  ?>
      <td>
      <textarea name="details" style="width:215px;" rows="2"><?php echo $details; ?></textarea>
      </td>
    </tr>
    <tr valign="baseline">
      <td nowrap align="right">Comments:</td>
	  <?php 
	  	$comments = $row_rstBugFeatureEdit['comments'];
	  	$comments = str_replace("\"", "&quot;", $comments);
		$comments = str_replace("'", "&#39;", $comments); 
	  ?>
      <td>
      <textarea name="comments" style="width:215px;" rows="2"><?php echo $comments; ?></textarea>
      </td>
    </tr>
    <tr valign="baseline">
      <td nowrap align="right">Estimate:</td>
      <td><input type="text" name="estimate" value="<?php echo $row_rstBugFeatureEdit['estimate']; ?>" size="32">
      </td>
    </tr>
    <tr valign="baseline">
      <td nowrap align="right">Priority:</td>
      <td>
	  <select name="priority">
	  <?php
	  	$query = "SELECT * FROM `priority_list` ORDER BY `sort`";
		$rstPriorityList = $bt_dbh->query($query);
		while ($row_rstPriorityList = $rstPriorityList->fetch(PDO::FETCH_ASSOC))
		{
			$tmpPriority = $row_rstPriorityList['priority_level'];
			if ($tmpPriority == $row_rstBugFeatureEdit['priority'])
				echo "<option value=\"$tmpPriority\" selected=\"selected\">$tmpPriority</option>";
			else
				echo "<option value=\"$tmpPriority\">$tmpPriority</option>";
		}
	  ?>
	  </select>
      </td>
    </tr>
    <tr valign="baseline">
      <td nowrap align="right">Status:</td>
      <td>
	  <select name="status">
	  <?php
	  	$query = "SELECT * FROM `status_items` ORDER BY `sort`";
		$rstStatusList = $bt_dbh->query($query);
		while ($row_rstStatusList = $rstStatusList->fetch(PDO::FETCH_ASSOC))
		{
			$tmpOptionValue = $row_rstStatusList['status_item'];
			$tmpOptionDescription = $row_rstStatusList['description'];
			if ($tmpOptionValue == $row_rstBugFeatureEdit['status'])
				echo "<option value=\"$tmpOptionValue\" selected=\"selected\">$tmpOptionDescription</option>";
			else
				echo "<option value=\"$tmpOptionValue\">$tmpOptionDescription</option>";
		}
	  ?>
	  </select>
      </td>
    </tr>
    <tr valign="baseline">
      <td nowrap align="right">Bill:</td>
      <td>
	  <input name="bill" type="checkbox" value="checkbox" <?php if ($row_rstBugFeatureEdit['bill'] == 1) echo "checked=checked"; ?>>
      </td>
    </tr>
    <tr valign="baseline">
      <td nowrap align="right">Document:</td>
      <td><input type="file" name="doc" id="doc"></td>
    </tr>
    <tr valign="baseline">
      <td nowrap align="right">&nbsp;</td>
      <td><input type="submit" value="Update Record">
      </td>
    </tr>
  </table>
  <input type="hidden" name="MM_update" value="formUpdate">
  <input type="hidden" name="id" value="<?php echo $row_rstBugFeatureEdit['id']; ?>">
  <input type="hidden" name="pageNum" value="<?php echo $pageNum; ?>">
  <input type="hidden" name="document" value="<?php echo $row_rstBugFeatureEdit['document']; ?>">
</form>
<?php
	}
?>

</td>
<td width="5%">&nbsp;</td>
<td valign="top"><p><strong>Filter:</strong></p>
    <table>
      <tr>
        <td><label>
          <input type="radio" name="filter" value="all" <?php if ($filter == "all") echo "checked='checked'"; ?> onClick="location.href='tracker.php?filter=all&edit_id=<?php echo $edit_id; ?>'">
          Show All</label>
        </td>
      </tr>
      <tr>
        <td><label>
          <input type="radio" name="filter" value="open" <?php if ($filter == "open") echo "checked='checked'"; ?> onClick="location.href='tracker.php?filter=open&edit_id=<?php echo $edit_id; ?>'">
          Open Only</label>
        </td>
      </tr>
      <tr>
        <td><label>
          <input type="radio" name="filter" value="estimate" <?php if ($filter == "estimate") echo "checked='checked'"; ?> onClick="location.href='tracker.php?filter=estimate&edit_id=<?php echo $edit_id; ?>'">
          Needs Estimate</label>
        </td>
      </tr>
      <tr>
        <td><label>
          <input type="radio" name="filter" value="go" <?php if ($filter == "go") echo "checked='checked'"; ?> onClick="location.href='tracker.php?filter=go&edit_id=<?php echo $edit_id; ?>'">
          Work Approved</label>
        </td>
      </tr>
	   <tr>
        <td><label>
          <input type="radio" name="filter" value="closed" <?php if ($filter == "closed") echo "checked='checked'"; ?> onClick="location.href='tracker.php?filter=closed&edit_id=<?php echo $edit_id; ?>'">
          Closed</label>
        </td>
      </tr>
    </table>
  </td>
  <td width="5%">&nbsp;</td>
  <td valign="top">
    <form method="post" name="formSearch" action="<?php echo $editFormAction; ?>" enctype="multipart/form-data">
  	<table>
    	<tr>
        	<td colspan="2"><b>Search:</b></td>
        </tr>
        <tr>
            <td colspan="2"><input type="text" id="search" name="search" value="<?php echo $search; ?>" /></td>
        </tr>
         <tr>
         	<td align="center"><input type="submit" name="clear" value="Clear" /></td>
            <td align="center"><input type="submit" name="submit" value="Search" /></td>
        </tr>
     </table>
     </form>
  </td>
  <td width="5%">&nbsp;</td>
  <td valign="top">
  	<table>
		<tr>
			<td class="small_message_bold">
  				Legend:
			</td>
		</tr>
		<?php
			$query = "SELECT * FROM `status_items` ORDER BY `sort`";
			$rstStatusList2 = $bt_dbh->query($query);
			while ($row_rstStatusList2 = $rstStatusList2->fetch(PDO::FETCH_ASSOC))
			{
				$tmpOptionValue = $row_rstStatusList2['status_item'];
				$tmpOptionDescription = $row_rstStatusList2['description'];
					echo "<tr><td class='small_message'>$tmpOptionValue = $tmpOptionDescription</td></tr>\n";
			}
		  ?>
		  <tr>
		  	<td>
			<br><br><br><br><br><br>
			<?php if ($access_level == "admin") 
			echo "<input name=\"manage_users\" type=\"button\" value=\"Manage Users\" onClick=\"location.href='users.php';\" style=\"font-size: 10px;\">";
			?>
			</td>
		  </tr>
	  </table>
  </td>
</tr>
</table>
<a name="bottom" id="bottom"></a>
</body>
</html>

<?php
$rstBugFeature->closeCursor();
$rstResponsible->closeCursor();
$rstType->closeCursor();
$rstPriorityList->closeCursor();
$rstStatusList->closeCursor();
$rstStatusList2->closeCursor();
?>
